Skip to main content
GET
/
v0
/
merchantIntegrations
List
curl --request GET \
  --url https://api.paygentic.io/v0/merchantIntegrations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "object": "merchantIntegration",
      "merchantId": "<string>",
      "provider": "salesforce",
      "externalId": "<string>",
      "config": {},
      "metadata": {},
      "connectedAt": "2023-11-07T05:31:56Z",
      "disconnectedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

merchantId
string

Restrict results to a specific merchant. All active filters AND together. Unique identifier for an organization

Pattern: ^org_[a-zA-Z0-9]+$
provider
enum<string>

Filter by provider (e.g. salesforce). External provider a merchant can connect at the tenant level

Available options:
salesforce
limit
integer
default:50
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

List of merchant integrations

data
object[]
required
pagination
object
required

Offset-based pagination response.